import os

from django.http import HttpResponse, HttpResponseRedirect, HttpResponseForbidden
from django.shortcuts import render
# from django.db.models import Manager
from django.contrib.auth.decorators import login_required, permission_required

# только для тестирования!
import requests

TEST_BASE_FETCH = "https://test.wawaa.ru/dev-fetch.php"


@login_required
def view_index(request):
    return render(request, 'index.html')


@permission_required(perm='view_logs', raise_exception=True)
def view_stats(request):
    # только для тестирования!
    res = requests.get(TEST_BASE_FETCH + "?stats", headers={'Authorization': os.getenv("TEST_AUTH")})
    response = HttpResponse(res.content)
    response.headers["Content-type"] = response.headers["Content-type"]
    return response


@permission_required(perm='view_logs', raise_exception=True)
def view_tank_chart(request):
    # только для тестирования!
    days = request.GET.get('days', '7')
    res = requests.get(TEST_BASE_FETCH + "?tank_chart=" + days, headers={'Authorization': os.getenv("TEST_AUTH")})
    response = HttpResponse(res.content)
    response.headers["Content-type"] = response.headers["Content-type"]
    return response
